using System;
using System.Text;
using System.Linq;
using System.Collections.Generic;

class Program
{
    public static void Main()
    {
        string[] s = Console.ReadLine().Split().OrderBy(x => x).ToArray();


        int s1 = int.Parse(s[2] + s[1] + s[0]);
        int s2 = int.Parse(s[0] + s[1] + s[2]);

        if (s1>s2)
            Console.WriteLine(s1);
        else
            Console.WriteLine(s2);

        Console.ReadLine();
    }
}